GET /v2/project_sessions_skills
Return all the project sessions skills
GET /v2/project_sessions/:project_session_id/project_sessions_skills
Return all the project sessions skills of the given Project session
GET /v2/skills/:skill_id/project_sessions_skills
Return all the project sessions skills of the given Skill
live_help Notes
chrome_reader_mode
This resource is paginated by 30 items
settings Params
| Param name | Description |
|---|---|
| project_session_id |
optional
. Must be String
The project_session id |
| skill_id |
optional
. Must be String
The skill id or slug |
| sort |
optional
. Must be one of: id, project_session_id, skill_id, value, created_at, updated_at.
The sort field. Sorted by id desc by default. MoreExample:To sort on project sessions skills on the fields created_at on a descending order and updated_at on a ascending order: ...&sort=-created_at,updated_at |
| filter |
optional
. Must be one of: id, project_session_id, skill_id, value, created_at, updated_at.
Filtering on one or more fields MoreExample:
To filter on project sessions skills with the
...&filter[id]=a_value,another_value Filterable fields:
|
| range |
optional
. Must be one of: id, project_session_id, skill_id, value, created_at, updated_at.
Select on a particular range MoreExample:
To range on project sessions skills with the
...&range[updated_at]=min_value,max_value Rangeable fields:
|
| page |
optional
. Must be a Hash
The pagination params, as a hash |
| page[number] |
optional
. Must be Fixnum
The current page |
| page[size] |
optional
. Must be Fixnum
The number of items per page, defaults to 30, maximum 100 |
Examples
GET /v2/project_sessions_skills
200
[
{
"id": 1,
"project_session_id": 1979,
"skill_id": 2,
"value": 15,
"created_at": "2019-07-03T12:21:11.956Z",
"updated_at": "2019-07-03T12:21:11.956Z"
}
]
curl -H "Authorization: Bearer YOUR_ACCESS_TOKEN" "https://api.intra.42.fr/v2/project_sessions_skills"
[
{
"id": 1,
"project_session_id": 1979,
"skill_id": 2,
"value": 15,
"created_at": "2019-07-03T12:21:11.956Z",
"updated_at": "2019-07-03T12:21:11.956Z"
}
]
require "oauth2"
UID = "Your application uid"
SECRET = "Your application secret"
client = OAuth2::Client.new(UID, SECRET, site: "https://api.intra.42.fr")
token = client.client_credentials.get_token
response = token.get("/v2/project_sessions_skills")
response.status
# => 200
response.parsed
# => [{"id"=>1, "project_session_id"=>1979, "skill_id"=>2, "value"=>15, "created_at"=>"2019-07-03T12:21:11.956Z", "updated_at"=>"2019-07-03T12:21:11.956Z"}]